﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="dbmusicModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Artists">
          <Key>
            <PropertyRef Name="ArtistID" />
          </Key>
          <Property Name="ArtistID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="ArtistName" Type="varchar" MaxLength="200" Nullable="false" />
          <Property Name="AlbumName" Type="varchar" MaxLength="200" Nullable="false" />
          <Property Name="ImageURL" Type="varchar" MaxLength="200" />
          <Property Name="ReleaseDate" Type="date" Nullable="false" />
          <Property Name="Price" Type="numeric" Precision="10" Scale="2" Nullable="false" />
          <Property Name="SampleURL" Type="varchar" MaxLength="200" />
        </EntityType>
        <EntityContainer Name="dbmusicModelStoreContainer">
          <EntitySet Name="Artists" EntityType="Self.Artists" Schema="dbo" store:Type="Tables" />
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="dbmusicModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Artists">
          <Key>
            <PropertyRef Name="ArtistID" />
          </Key>
          <Property Name="ArtistID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="ArtistName" Type="String" MaxLength="200" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="AlbumName" Type="String" MaxLength="200" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="ImageURL" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <Property Name="ReleaseDate" Type="DateTime" Nullable="false" Precision="0" />
          <Property Name="Price" Type="Decimal" Precision="10" Scale="2" Nullable="false" />
          <Property Name="SampleURL" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityContainer Name="dbmusicEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Artists" EntityType="Self.Artists" />
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="dbmusicModelStoreContainer" CdmEntityContainer="dbmusicEntities">
          <EntitySetMapping Name="Artists">
            <EntityTypeMapping TypeName="dbmusicModel.Artists">
              <MappingFragment StoreEntitySet="Artists">
                <ScalarProperty Name="ArtistID" ColumnName="ArtistID" />
                <ScalarProperty Name="ArtistName" ColumnName="ArtistName" />
                <ScalarProperty Name="AlbumName" ColumnName="AlbumName" />
                <ScalarProperty Name="ImageURL" ColumnName="ImageURL" />
                <ScalarProperty Name="ReleaseDate" ColumnName="ReleaseDate" />
                <ScalarProperty Name="Price" ColumnName="Price" />
                <ScalarProperty Name="SampleURL" ColumnName="SampleURL" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>